Bug 191844 - anaconda's progress window should not just cut string to 70 bytes
anaconda's progress window should not just cut string to 70 bytes
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: i18n, Patch
Depends On:
  Show dependency treegraph
Reported: 2006-05-15 21:28 EDT by Roozbeh Pournader
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-16 10:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the problem (1.26 KB, patch)
2006-05-15 21:28 EDT, Roozbeh Pournader
no flags Details | Diff

  None (edit)
Description Roozbeh Pournader 2006-05-15 21:28:34 EDT
Description of problem:
Anaconda's progress window just cuts some strings to 70 bytes, which may result
in bad things when they are UTF-8 characters that take two or more bytes
(resulting in the character getting cut in the middle and weird pango warnings). 
Also, in languages where letters are joined (like those using the Arabic or
Indic scripts), getting the string broken in a random place is not the best
option, as weird results may appear to the user.

Instead of a very rough estimate, it should use pango's elipsize support.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to start anaconda in a language that doesn't use the Latin script, like
2. Proceed until the package installation progress screen.
Actual results:
The strings get cut in bad places, and there are a lot of pango warnings on Alt-F1

Expected results:
Better cutting, and dots at the end if the string is too long.

FarsiWeb's internal reference:
farsiweb #170, anaconda-badcut.patch, originally reported by Elnaz Sarbar, patch
by Roozbeh Pournader
Comment 1 Roozbeh Pournader 2006-05-15 21:28:35 EDT
Created attachment 129148 [details]
Patch to fix the problem
Comment 2 Jeremy Katz 2006-05-16 10:40:14 EDT
Committed... thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.